package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.vo.UserQueryVo;

import java.util.List;

/**
 * @author 86187
 */
public interface UserDataService {
    /**
     * 批量添加用户统计数据
     *
     * @param queryVo 查询参数
     * @return true  or false
     */
    R<Boolean> addBatch(UserQueryVo queryVo);

    /**
     * 获取没有统计数据的userId
     *
     * @return
     */
    R<List<Long>> getUserIds(Integer startNo, Integer endNo);

}
