package cn.wisenergy.mapper;

import cn.wisenergy.model.app.UserData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 86187
 */
public interface UserDataMapper extends BaseMapper<UserData> {

    int add(UserData userData);

    int edit(UserData userData);

    UserData getByUserId(@Param("userId") Long userId);

    Long getMaxId();

    Long getBottomMaxId();

    Long getUserId(@Param("userId") Long userId);

    List<UserData> getBottom(@Param("startNo") Integer startNumber, @Param("endNo") Integer endNo);
}
